curl --request GET \
--url https://api.plane.com/v1/events \
--header 'Authorization: Bearer <token>'{
"events": [
{
"id": "evt_abc123def456",
"type": "payment.created",
"subject": "pt_xyz789",
"workspace": "ws_456def",
"data": {
"id": "pt_xyz789",
"amount": "5000.00",
"currency": "USD",
"status": "pending",
"worker": "wr_abc123"
},
"created": "2024-01-15T14:30:00Z"
},
{
"id": "evt_def456ghi789",
"type": "worker.created",
"subject": "wr_abc123",
"workspace": "ws_456def",
"data": {
"id": "wr_abc123",
"first_name": "Jane",
"last_name": "Smith",
"email": "jane@example.com"
},
"created": "2024-01-15T10:30:00Z"
}
]
}
Returns a list of events in your Plane workspace.
curl --request GET \
--url https://api.plane.com/v1/events \
--header 'Authorization: Bearer <token>'{
"events": [
{
"id": "evt_abc123def456",
"type": "payment.created",
"subject": "pt_xyz789",
"workspace": "ws_456def",
"data": {
"id": "pt_xyz789",
"amount": "5000.00",
"currency": "USD",
"status": "pending",
"worker": "wr_abc123"
},
"created": "2024-01-15T14:30:00Z"
},
{
"id": "evt_def456ghi789",
"type": "worker.created",
"subject": "wr_abc123",
"workspace": "ws_456def",
"data": {
"id": "wr_abc123",
"first_name": "Jane",
"last_name": "Smith",
"email": "jane@example.com"
},
"created": "2024-01-15T10:30:00Z"
}
]
}
starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with evt_foo, your subsequent call can include starting_after=evt_foo in order to fetch the next page of the list.ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with evt_bar, your subsequent call can include ending_before=evt_bar in order to fetch the previous page of the list.events property that contains an array of up to limit events, starting after event starting_after. Each entry in the array is a separate event object. If no more events are available, the resulting array will be empty.
{
"events": [
{
"id": "evt_abc123def456",
"type": "payment.created",
"subject": "pt_xyz789",
"workspace": "ws_456def",
"data": {
"id": "pt_xyz789",
"amount": "5000.00",
"currency": "USD",
"status": "pending",
"worker": "wr_abc123"
},
"created": "2024-01-15T14:30:00Z"
},
{
"id": "evt_def456ghi789",
"type": "worker.created",
"subject": "wr_abc123",
"workspace": "ws_456def",
"data": {
"id": "wr_abc123",
"first_name": "Jane",
"last_name": "Smith",
"email": "jane@example.com"
},
"created": "2024-01-15T10:30:00Z"
}
]
}
Was this page helpful?